{% extends "header.html" %}

{% block body %}

    <div class="container">
        <h4>Register</h4>
        <br>
        {% from "__formhelpers.html" import render_field %}
        <form method="post" action="/register/">
            <div class="form-group">
                {{ render_field(form.user_name, class_='form-control') }}
            </div>
            <div class="form-group">
                {{ render_field(form.email, class_='form-control') }}
            </div>
            <div class="form-row">
                    <div class="form-group col-md-6">
                        {{ render_field(form.password, class_='form-control') }}
                    </div>
                    <div class="form-group col-md-6">
                        {{ render_field(form.confirm, class_='form-control') }}
                    </div>
            </div>
            <div class="form-group">
                {{ render_field(form.full_name, class_='form-control') }}
            </div>
            <div class="form-group">
                {{ render_field(form.address, class_='form-control') }}
            </div>
            <div class="form-group">
                <button class="btn btn-lg btn-primary btn-block" type="submit">Login</button>
            </div>
        </form>

    {% if error %}
        <p class="alert-warning"><strong>Error</strong>{{ error }}</p>
    {% endif %}
    </div>

{% endblock %}